# List Images - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-list-image

# List Images

GET

/

gpus

/

v2

/

images

Try it

List Images

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/images \
--header 'Authorization: '
```

```
import requests

url = "https://api.novita.ai/gpus/v2/images"

headers = {"Authorization": ""}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: ''}};

fetch('https://api.novita.ai/gpus/v2/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/gpus/v2/images",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/gpus/v2/images"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.novita.ai/gpus/v2/images")
.header("Authorization", "")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/gpus/v2/images")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = ''

response = http.request(request)
puts response.read_body
```

200

```
{
"data": [
{
"id": "image-id",
"name": "pytorch",
"image": "registry.example.com/base/pytorch",
"type": "private",
"status": {
"status": "normal",
"error": "",
"message": ""
},
"created_at": 1714982400,
"tags": [
{
"id": "tag-id",
"tag": "2.3.0-cuda12.1",
"owner_id": "550e8400-e29b-41d4-a716-446655440000",
"full_image_name": "registry.example.com/base/pytorch:2.3.0-cuda12.1"
}
]
}
],
"next_cursor": "eyJpZCI6Im5leHQtcGFnZSJ9",
"has_more": true
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Query Parameters

[​](#parameter-type)

type

enum<string>

Filter by image type. Allowed values: `base`, `community`, `private`. Use an empty string to skip filtering.

Available options:

`base`,

`community`,

`private`

[​](#parameter-name)

name

string

Filter by image name. String, length: 0-255 characters.

[​](#parameter-limit)

limit

integer

Maximum number of items to return. Integer, value >= 0.

[​](#parameter-cursor)

cursor

string

Cursor returned by the previous page. Leave empty for the first request. String, length: 0-1024 characters.

#### Response

200 - application/json

OK

[​](#response-data)

data

object[]

Image list

Show child attributes

[​](#response-next-cursor)

next_cursor

string

Cursor for the next page. Empty string when there is no more data

Example:

`"eyJpZCI6Im5leHQtcGFnZSJ9"`

[​](#response-has-more)

has_more

boolean

Whether more data is available

Example:

`true`

Last modified on June 23, 2026
